summaryrefslogtreecommitdiffstats
path: root/wiki
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2017-03-13 11:20:43 +0000
committerintrigeri <intrigeri@boum.org>2017-03-13 11:33:35 +0000
commitce6b22e72bf8e1f96744bee7655c384c71555ff1 (patch)
treee9eb2b4a9a27dba632890d8a54114d6706f368cd /wiki
parent6797a6044933768cef81fc99976a6474ebe2b52f (diff)
Install ikiwiki from jessie-backports, instead of our patched one (refs: #12051).
Our changes were merged in 3.20161219, and jessie-backports now has 3.20170111~bpo8+1.
Diffstat (limited to 'wiki')
-rw-r--r--wiki/src/contribute/build.mdwn4
-rw-r--r--wiki/src/contribute/build/website.mdwn8
2 files changed, 6 insertions, 6 deletions
diff --git a/wiki/src/contribute/build.mdwn b/wiki/src/contribute/build.mdwn
index c46cbae..bf27522 100644
--- a/wiki/src/contribute/build.mdwn
+++ b/wiki/src/contribute/build.mdwn
@@ -313,7 +313,6 @@ The following Debian packages need to be installed:
dpkg-dev \
eatmydata \
gettext \
- ikiwiki \
intltool \
libfile-slurp-perl \
liblist-moreutils-perl \
@@ -331,7 +330,8 @@ The following Debian packages need to be installed:
expected versions):
apt-get install \
- debootstrap/jessie-backports
+ debootstrap/jessie-backports \
+ ikiwiki/jessie-backports
Configure live-build
--------------------
diff --git a/wiki/src/contribute/build/website.mdwn b/wiki/src/contribute/build/website.mdwn
index 39f9830..fdb316a 100644
--- a/wiki/src/contribute/build/website.mdwn
+++ b/wiki/src/contribute/build/website.mdwn
@@ -24,9 +24,9 @@ Build the website in Linux
sudo apt-get install libyaml-perl libyaml-libyaml-perl po4a \
perlmagick libyaml-syck-perl ikiwiki
- Note that in order to enable Ikiwiki with RTL language support,
- you'll need to install ikiwiki version 3.20140227 or newer.
- In Debian this version is currently available in Jessie.
+ You need to install ikiwiki version 3.20170111~bpo8+1 or newer.
+ In Debian this version is currently available in Stretch and
+ jessie-backports.
3. Clone our main [[Git repository|git]]:
@@ -65,7 +65,7 @@ Build the website in Tails
4. Install the required packages:
sudo apt-get install libyaml-perl libyaml-libyaml-perl po4a \
- perlmagick libyaml-syck-perl ikiwiki
+ perlmagick libyaml-syck-perl ikiwiki/jessie-backports
5. Clone our main [[Git repository|git]] in the <span class="filename">Persistent</span> folder: